package com.realnet.order_estimation.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.order_estimation.Entity.Order_estimation;
import com.realnet.order_estimation.Services.Order_estimationService ;
























@RequestMapping(value = "/Order_estimation")
 @CrossOrigin("*") 
@RestController
public class Order_estimationController {
	@Autowired
	private Order_estimationService Service;

@Value("${projectPath}")
	private String projectPath;
 
























	@PostMapping("/Order_estimation")
		  public Order_estimation Savedata(@RequestBody Order_estimation data) {
		Order_estimation save = Service.Savedata(data)	;























		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Order_estimation/{id}")
	public  Order_estimation update(@RequestBody Order_estimation data,@PathVariable Integer id ) {
		Order_estimation update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Order_estimation/getall/page")
	public Page<Order_estimation> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Order_estimation> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Order_estimation")
	public List<Order_estimation> getdetails() {
		 List<Order_estimation> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Order_estimation")
	public List<Order_estimation> getallwioutsec() {
		 List<Order_estimation> get = Service.getdetails();		
		return get;
}
@GetMapping("/Order_estimation/{id}")
	public  Order_estimation  getdetailsbyId(@PathVariable Integer id ) {
		Order_estimation  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Order_estimation/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}

























}